2019-08-24 02:39 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005662Spring engineGeneralpublic2017-08-10 11:58
ReporterGoogle_Frog 
Assigned To 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionno change required 
Product Version103.0 +git 
Target VersionFixed in Version103.0 +git 
Summary0005662: 103.0.1-1199 Crash while loading
Descriptionhttps://github.com/ZeroK-RTS/CrashReports/issues/1543
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
has duplicate 0005667closed 103.0.1-1226 Nvidia hang on game load 
+Relationships

-Notes

~0018068

Google_Frog (reporter)

Another? https://github.com/ZeroK-RTS/CrashReports/issues/1545

~0018070

Google_Frog (reporter)

https://github.com/ZeroK-RTS/CrashReports/issues/1547

~0018072

abma (administrator)

Last edited: 2017-07-20 13:39

View 2 revisions

https://github.com/ZeroK-RTS/CrashReports/issues/1543

watchdog is triggered + incomplete stacktrace. it contains several shader errors, these should be fixed first.

looks for me like spring was force-closed.

~0018073

abma (administrator)

the same for https://github.com/ZeroK-RTS/CrashReports/issues/1545

~0018074

abma (administrator)

https://github.com/ZeroK-RTS/CrashReports/issues/1547

https://github.com/spring/spring/tree/103.0.1-1199-g0b3d408

??:0
/opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libgcc/./gthr-default.h:618
/opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:50
??:0
/opt/mxe/tmp-gcc/gcc-4.8.1/libstdc++-v3/libsupc++/new_op.cc:56
/opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libstdc++-v3/include/bits/basic_string.tcc:609
/opt/mxe/tmp-gcc/gcc-4.8.1.build/i686-w64-mingw32/libstdc++-v3/include/bits/basic_string.tcc:481
??:0
??:0
rts/lib/mingw-std-threads/mingw.thread.h:157
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2073
/opt/mxe/usr/lib/gcc/i686-w64-mingw32/4.8.1/include/c++/functional:2029
??:0
??:0
??:0

watchdog triggered: looks useless to me

~0018082

Google_Frog (reporter)

https://github.com/ZeroK-RTS/CrashReports/issues/1551

~0018088

Kloot (developer)

"looks for me like spring was force-closed."

it was, by the OS.

I wonder if the Windows process watchdog can be put on a longer leash somehow.

~0018099

Kloot (developer)

Last edited: 2017-07-22 10:27

View 2 revisions

note: the biggest factor may be the pool archive format (sdp) used by ZK, which is great for incremental updates but detrimental to load-time performance since it scatters tons of tiny files all over the disk.

a solution could be to have the wrapper program generate sdz's for users after downloading.

~0018115

Google_Frog (reporter)

Here are three more with 103.0.1-1226
https://github.com/ZeroK-RTS/CrashReports/issues/1587
https://github.com/ZeroK-RTS/CrashReports/issues/1589
https://github.com/ZeroK-RTS/CrashReports/issues/1591

~0018120

Kloot (developer)

as I said, experiment with sdz's.

from 1589:

  [f=-000001] [defs.lua] loading all *Defs tables: 7480ms
  [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 7666ms

this stage should take less than half a second.

~0018192

Kloot (developer)

ZK infra has switched to sdz downloads now.

the combination of ntfs and sdp is clear fail.
+Notes

-Issue History
Date Modified Username Field Change
2017-07-19 15:03 Google_Frog New Issue
2017-07-20 02:23 Google_Frog Note Added: 0018068
2017-07-20 12:38 Google_Frog Note Added: 0018070
2017-07-20 13:39 abma Note Added: 0018072
2017-07-20 13:39 abma Note Edited: 0018072 View Revisions
2017-07-20 13:41 abma Note Added: 0018073
2017-07-20 13:42 abma Note Added: 0018074
2017-07-20 13:43 abma Summary 103.0.1-1199 Crash while loading => (win64) 103.0.1-1199 Crash while loading
2017-07-21 02:37 Google_Frog Note Added: 0018082
2017-07-21 21:09 Kloot Note Added: 0018088
2017-07-22 02:20 Kloot Note Added: 0018099
2017-07-22 10:26 Kloot Relationship added has duplicate 0005667
2017-07-22 10:27 Kloot Note Edited: 0018099 View Revisions
2017-07-24 04:17 Google_Frog Note Added: 0018115
2017-07-24 10:04 Kloot Note Added: 0018120
2017-07-31 18:53 abma Summary (win64) 103.0.1-1199 Crash while loading => 103.0.1-1199 Crash while loading
2017-08-10 11:58 Kloot Status new => resolved
2017-08-10 11:58 Kloot Resolution open => no change required
2017-08-10 11:58 Kloot Fixed in Version => 103.0 +git
2017-08-10 11:58 Kloot Note Added: 0018192
+Issue History